Bug 49490 - [Qt] Path stroke lacks blur shadow support
Summary: [Qt] Path stroke lacks blur shadow support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 34479
  Show dependency treegraph
 
Reported: 2010-11-13 00:25 PST by Helder Correia
Modified: 2010-11-20 20:20 PST (History)
2 users (show)

See Also:


Attachments
Patch (8.63 KB, patch)
2010-11-13 00:29 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Patch (8.42 KB, patch)
2010-11-14 00:32 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Patch (8.47 KB, patch)
2010-11-19 16:47 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Test for stroke gradient and fill, not path (8.47 KB, patch)
2010-11-19 17:34 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Fix bug ID in changelog (12.71 KB, patch)
2010-11-19 21:32 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Remove duplicate file content from the test (8.47 KB, patch)
2010-11-20 19:38 PST, Helder Correia
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helder Correia 2010-11-13 00:25:51 PST
ctx.blurShadow is not working for paths in the Qt port, it results a solid shadow.
Comment 1 Helder Correia 2010-11-13 00:29:48 PST
Created attachment 73811 [details]
Patch
Comment 2 Helder Correia 2010-11-14 00:32:03 PST
Created attachment 73843 [details]
Patch
Comment 3 Helder Correia 2010-11-19 16:47:24 PST
Created attachment 74441 [details]
Patch
Comment 4 Helder Correia 2010-11-19 17:34:29 PST
Created attachment 74450 [details]
Test for stroke gradient and fill, not path
Comment 5 Helder Correia 2010-11-19 17:36:24 PST
(In reply to comment #4)
> Created an attachment (id=74450) [details]
> Test for stroke gradient and fill, not path

What I meant was "stroke gradient and pattern, not fill gradient and pattern".
Comment 6 Andreas Kling 2010-11-19 20:55:41 PST
Comment on attachment 74450 [details]
Test for stroke gradient and fill, not path

View in context: https://bugs.webkit.org/attachment.cgi?id=74450&action=review

Patch looks good, except one thing:

> LayoutTests/ChangeLog:6
> +        [Qt] Path fill lacks blur shadow support
> +        https://bugs.webkit.org/show_bug.cgi?id=49491

This refers to the wrong bug.
Comment 7 Helder Correia 2010-11-19 21:32:08 PST
Created attachment 74466 [details]
Fix bug ID in changelog
Comment 8 Andreas Kling 2010-11-19 21:33:27 PST
Comment on attachment 74466 [details]
Fix bug ID in changelog

r=me
Comment 9 WebKit Commit Bot 2010-11-20 01:28:53 PST
The commit-queue encountered the following flaky tests while processing attachment 74466 [details]:

fast/canvas/canvas-strokePath-shadow.html
compositing/iframes/overlapped-nested-iframes.html

Please file bugs against the tests.  These tests were authored by simon.fraser@apple.com.  The commit-queue is continuing to process your patch.
Comment 10 WebKit Commit Bot 2010-11-20 01:54:13 PST
Comment on attachment 74466 [details]
Fix bug ID in changelog

Rejecting patch 74466 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sl', 'build-and-test', '--no-clean', '--no-update', '--test', '--non-interactive']" exit_code: 2
Last 500 characters of output:
.......................
fast/body-propagation/overflow ...................
fast/borders .............................................................
fast/box-shadow .....
fast/box-sizing ....
fast/canvas .........................................................
fast/canvas/canvas-strokePath-shadow.html -> failed

Exiting early after 1 failures. 6085 tests run.
139.28s total testing time

6084 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
3 test cases (<1%) had stderr output

Full output: http://queues.webkit.org/results/6260053
Comment 11 Helder Correia 2010-11-20 19:38:00 PST
Created attachment 74493 [details]
Remove duplicate file content from the test
Comment 12 Andreas Kling 2010-11-20 19:41:52 PST
Comment on attachment 74493 [details]
Remove duplicate file content from the test

D'oh! :)
Comment 13 WebKit Commit Bot 2010-11-20 20:20:06 PST
Comment on attachment 74493 [details]
Remove duplicate file content from the test

Clearing flags on attachment: 74493

Committed r72490: <http://trac.webkit.org/changeset/72490>
Comment 14 WebKit Commit Bot 2010-11-20 20:20:12 PST
All reviewed patches have been landed.  Closing bug.